package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import org.json.JSONObject

/**
 *
 *
 * @author Noel
 * @version
 * @created on 20-Oct-18
 */
class BuyTopUpCardInteractor {
    interface OnBuyTopUpCardListener {
        fun onAddCardToCardFailed(throwable: VolleyError)
        fun onAddCardToCardSuccess(data: JSONObject?)
    }

    interface View {
        fun showWaiting()
        fun hideWaiting()
        fun showAddCardToCardFailed(throwable: VolleyError)
        fun showAddCardToCardSuccess(data: JSONObject?)
    }
}